#!/bin/sh
ARGV="$@"
NGINX='/usr/local/AppCentral/nginx-1.18.0/data/sbin/nginx'
PIDFILE='/usr/local/AppCentral/nginx-1.18.0/data/var/run/nginx_webcenter.pid'
AS_CONF="/usr/builtin/etc/webcenter/asustor.conf"
NGINX_CONF="/usr/local/AppCentral/nginx-1.18.0/data/conf/nginx.conf"

# Asustor check Apache2 service if enabled
EnableHttp=`/usr/bin/confutil -get $AS_CONF "Web Center" EnableHttp`
EnableHttps=`/usr/bin/confutil -get $AS_CONF "Web Center" EnableHttps`
Package=`/usr/bin/confutil -get $AS_CONF "Web Center" apache`

case $ARGV in

  start)
	echo "Starting Web Server..."
	export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/builtin/lib
	if [ "$EnableHttp" = "No" ] && [ "$EnableHttps" = "No" ]; then
		echo "Web Server isn't enabled, can't start service"
		exit 0
	fi
	if [ "$Package" = "nginx-1.18.0" ]; then
		echo "web center has already set with nginx, start!"
		$NGINX -c $NGINX_CONF
	fi
	;;

  stop)
	echo "Stoping Web Server..."
	$NGINX -s stop -c $NGINX_CONF
	;;

  restart)
	;;

  *)
	echo "usage: $0 {start|stop|restart}"
	exit 1
	;;

esac

exit 0
